Docs
Get Orders
GET /Orders
GET
/OrdersLists every order on the event with its derived status, declared status, source, notes, money totals (estimated, quoted, fulfilled, invoiced, paid, outstanding), chosen vendor and revision flags. Use Orders_GetOrder for one order's lines, documents and payments.
Response
Type: GetOrdersResponse[]
GetOrdersResponse
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| status | string| null | |
| declaredStatus | string| null | |
| source | string| null | |
| name | string| null | |
| internalNotes | string| null | |
| externalNotes | string| null | |
| signals | string[]| null | |
| totals | GetOrdersResponseOrderTotals | |
| vendor | GetOrdersResponseVendorInfo | |
| hasUnsentRevision | boolean | |
| latestVersionNumber | integer |
GetOrdersResponseOrderTotals
| Field | Type | Description |
|---|---|---|
| estimated | number | |
| quoted | number | |
| fulfilled | number | |
| fulfilledBasis | string| null | |
| invoiced | number | |
| paid | number | |
| outstanding | number | |
| expectedTotal | number| null | |
| expectedTotalBasis | string| null |
GetOrdersResponseVendorInfo
| Field | Type | Description |
|---|---|---|
| collaboratorRecordId | uuid| null | |
| name | string| null |